' DocIsCharSet.VBS V1.01 (C) yoshioka.teruo@nifty.com 2005-10-24
' DocIsCharSet.VBS examines whether character is in character set.
' Usage: Start DocIsCharSet.VBS [files...]

Option Explicit
Dim oWord
Dim arg
Dim Document

SetLocale "ja"

If WScript.Arguments.Count Then
  Set oWord=CreateObject("Word.Application") 
  oWord.Visible=True 
  For Each arg In WScript.Arguments 
    Set Document=oWord.Documents.Open(arg) 
    Find
'    Document.Close 
  Next 
  Set Document=Nothing 
'  oWord.Quit 
  Set oWord=Nothing 
Else
  Set oWord=GetObject(,"Word.Application") 
  oWord.Visible=True 
  If oWord.Documents.Count=0 Then
    oWord.Quit
    MsgBox "No Document Open."
    WScript.Quit
  End If
  Set Document=oWord.ActiveDocument 
  Find
  Set Document=Nothing 
  Set oWord=Nothing 
End If

Sub Find()
Dim j
Dim k
Dim Characters
Dim char
Dim Status
Dim Ans
Dim nFound:nFound=0

oWord.StatusBar="ٕ..." 
Ans=vbOk
For j=1 To Document.Paragraphs.Count 
  Set Characters=Document.Paragraphs(j).Range.Characters
  For k=1 To Characters.Count
    char=Characters(k).Text
    If char<>Chr(Asc(char)) Then
      nFound=nFound+1
      Characters(k).Select
      Status=Join(Array("Paragraph",j,"Column",k,"Char",char,"Code",Hex(AscW(char)),vbTab))
      oWord.StatusBar="ٕ "&Status 
      Ans=MsgBox(Status,vbOkCancel,"")
      If Ans=vbCancel Then Exit For
      oWord.StatusBar="ٕ..." 
    End If
  Next 
  If Ans=vbCancel Then Exit For
Next 
oWord.StatusBar="ٕI "&nFound&" "
MsgBox nFound&" ",,"ٕI"
End Sub
