Attribute VB_Name = "NewMacros"
Option Explicit

Sub IsEnglish()
Attribute IsEnglish.VB_Description = "쐬 2005/10/12 쐬 Teruo Yoshioka"
Attribute IsEnglish.VB_ProcData.VB_Invoke_Func = "Normal.NewMacros.IsCharSet"
'
' IsCharSet Macro
' 쐬 2005/10/24 쐬 Teruo Yoshioka
'
Dim n: n = 0
Dim j
Dim k
Dim Characters
Dim char
Dim Status
Dim Ans

Application.StatusBar = "ٕ..."
Ans = vbOK
For j = 1 To ActiveDocument.Paragraphs.Count
  Set Characters = ActiveDocument.Paragraphs(j).Range.Characters
  For k = 1 To Characters.Count
    char = Characters(k).Text
    If AscW(char) > 127 Or AscW(char) < 0 Then
      n = n + 1
      Characters(k).Select
      Status = Join(Array("Paragraph", j, "Column", k, "Char", char, "Code", Hex(AscW(char)), vbTab))
      Application.StatusBar = "ٕ " & Status
      Ans = MsgBox(Status, vbOKCancel, "")
      If Ans = vbCancel Then Exit For
      Application.StatusBar = "ٕ..."
    End If
  Next
  If Ans = vbCancel Then Exit For
Next
Application.StatusBar = "ٕI " & n & " "
MsgBox n & " ", , "ٕI"

End Sub

Sub IsEurope()
'
' IsCharSet Macro
' 쐬 2005/10/12 쐬 Teruo Yoshioka
'
Dim n: n = 0
Dim j
Dim k
Dim Characters
Dim char
Dim Status
Dim Ans

Application.StatusBar = "ٕ..."
Ans = vbOK
For j = 1 To ActiveDocument.Paragraphs.Count
  Set Characters = ActiveDocument.Paragraphs(j).Range.Characters
  For k = 1 To Characters.Count
    char = Characters(k).Text
    If char <> StrConv(StrConv(char, vbFromUnicode, 1033), vbUnicode, 1033) Then
      n = n + 1
      Characters(k).Select
      Status = Join(Array("Paragraph", j, "Column", k, "Char", char, "Code", Hex(AscW(char)), vbTab))
      Application.StatusBar = "ٕ " & Status
      Ans = MsgBox(Status, vbOKCancel, "")
      If Ans = vbCancel Then Exit For
      Application.StatusBar = "ٕ..."
    End If
  Next
  If Ans = vbCancel Then Exit For
Next
Application.StatusBar = "ٕI " & n & " "
MsgBox n & " ", , "ٕI"

End Sub

Sub IsJapanese()
'
' IsCharSet Macro
' 쐬 2005/10/12 쐬 Teruo Yoshioka
'
Dim n: n = 0
Dim j
Dim k
Dim Characters
Dim char
Dim Status
Dim Ans

Application.StatusBar = "ٕ..."
Ans = vbOK
For j = 1 To ActiveDocument.Paragraphs.Count
  Set Characters = ActiveDocument.Paragraphs(j).Range.Characters
  For k = 1 To Characters.Count
    char = Characters(k).Text
    If char <> Chr(Asc(char)) Then
      n = n + 1
      Characters(k).Select
      Status = Join(Array("Paragraph", j, "Column", k, "Char", char, "Code", Hex(AscW(char)), vbTab))
      Application.StatusBar = "ٕ " & Status
      Ans = MsgBox(Status, vbOKCancel, "")
      If Ans = vbCancel Then Exit For
      Application.StatusBar = "ٕ..."
    End If
  Next
  If Ans = vbCancel Then Exit For
Next
Application.StatusBar = "ٕI " & n & " "
MsgBox n & " ", , "ٕI"

End Sub

